## mx4j.tools.adaptor.http
Class ConstructorsCommandProcessor

    java.lang.Object
      mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
          mx4j.tools.adaptor.http.ConstructorsCommandProcessor

All Implemented Interfaces:
  HttpCommandProcessor

public class ConstructorsCommandProcessor
extends HttpCommandProcessorAdaptor

ConstructorsCommandProcessor, processes a request to query the available constructors for a classname

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`builder, server`

Constructor Summary
`ConstructorsCommandProcessor()`

Method Summary
`protected void` `addParameters(org.w3c.dom.Element node, org.w3c.dom.Document document, java.lang.Class[] parameters)`
`org.w3c.dom.Document` `executeRequest(HttpInputStream in)` Executes an HTTP request.

Methods inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`setDocumentBuilder, setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorsCommandProcessor

    public ConstructorsCommandProcessor()

Method Detail

### executeRequest

    public org.w3c.dom.Document executeRequest(HttpInputStream in)
                                        throws java.io.IOException,
                                               javax.management.JMException

  Description copied from interface: `HttpCommandProcessor`
  Executes an HTTP request. It assumes the request is well formed

  Specified by:
    `executeRequest` in interface `HttpCommandProcessor`
  Specified by:
    `executeRequest` in class `HttpCommandProcessorAdaptor`
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

### addParameters

    protected void addParameters(org.w3c.dom.Element node,
                                 org.w3c.dom.Document document,
                                 java.lang.Class[] parameters)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.